Package org.apache.avro.grpc

# Class AvroGrpcServer

java.lang.Object
org.apache.avro.grpc.AvroGrpcServer

public abstract class AvroGrpcServer extends Object
Provides components to set up a gRPC Server for Avro's IDL and serialization.

## Method Summary

Modifier and Type
Method
Description
`static io.grpc.ServerServiceDefinition`
`createServiceDefinition(Class iface, Object impl)`
Creates a `ServerServiceDefinition` for Avro Interface and its implementation that can be passed a gRPC Server.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### createServiceDefinition

public static io.grpc.ServerServiceDefinition createServiceDefinition(Class iface, Object impl)
Creates a `ServerServiceDefinition` for Avro Interface and its implementation that can be passed a gRPC Server.

Parameters:
  `iface` - Avro generated RPC service interface for which service defintion is created.
  `impl` - Implementation of the service interface to be invoked for requests.
Returns:
  a new server service definition.